Report Descriptions and Configuration
Prev | Chapter 17. WWW Reports | Next

## Report Descriptions and Configuration

### Bytes By Period WWW Report

ID: `bytes-by-period`

Chart: histogram

This report calculates the sum of all transfers by a user-configurable time period.

Parameters

`period`

  This parameter controls the time period which is use to aggregate the requests' size.

  Defaults to `1d`.

### Bytes Per Directory WWW Report

ID: `bytes-by-dir`

Chart: bars

This report shows the amount of data requested by directory. This amount only includes the size of request in that directory, not of any child directories.

Parameters

`bytesdir_to_show`

  This parameter controls the number of different directories to display in the report.

  Defaults to `10`.

### Bytes By HTTP Result By Period WWW Report

ID: `bytes-by-result-by-period`

Chart: None

This report calculates the size of all requests by HTTP result by a user-configurable time period.

Parameters

`period`

  This parameter controls the time period which is use to aggregate the records.

  Defaults to `1d`.

### Bytes By HTTP Result WWW Report

ID: `bytes-by-result`

Chart: pie

This report calculates the size of all requests by HTTP result.

This report doesn't have any parameters.

### Client Hosts By Period WWW Report

ID: `clienthost-by-period`

Chart: histogram

This report count the number of different hosts that made requests by a user-configurable time period.

Parameters

`period`

  This parameter controls the time period which is use to aggregate the records.

  Defaults to `1d`.

### Search Engines with Keywords Report

ID: `keywords-by-search_engine`

Chart: None

This report shows the search engines used to access your site along with the keywords used.

Parameters

`keyword_to_show`

  This parameter controls the number of keywords to display in the report.

  Defaults to `5`.

`engine_to_show`

  This parameter controls the number of search engines to display in the report.

  Defaults to `10`.

### Requests By Browser WWW Report

ID: `requests-by-browser`

Chart: bars

This report shows the number of requests for each browser.

Parameters

`browsers_to_show`

  This parameter controls the number of Browsers to display in the report.

  Defaults to `10`.

### Number of Requests By Period WWW Report

ID: `requests-by-period`

Chart: histogram

This report shows the number of requests by a user-configurable time period.

Parameters

`period`

  This parameter controls the time period which is use to aggregate the records.

  Defaults to `1d`.

### Requests By Browser Language WWW Report

ID: `requests-by-lang`

Chart: bars

This report shows the number of requests for each browser language.

Parameters

`lang_to_show`

  This parameter controls the number of Browsers to display in the report.

  Defaults to `10`.

### Requests By HTTP Method WWW Report

ID: `requests-by-method`

Chart: pie

This report shows the number of requests for each HTTP method (POST, GET, PUT, etc.)

This report doesn't have any parameters.

### Requests By OS WWW Report

ID: `requests-by-os`

Chart: bars

This report shows the number of requests for each browser OS.

Parameters

`os_to_show`

  This parameter controls the number of OS to display in the report.

  Defaults to `10`.

### Requests By Result By Period WWW Report

ID: `requests-by-result-by-period`

Chart: None

This report calculates the number of requests by HTTP result by a user-configurable time period.

Parameters

`period`

  This parameter controls the time period which is use to aggregate the records.

  Defaults to `1d`.

### Requests By HTTP Result WWW Report

ID: `requests-by-result`

Chart: pie

This report shows the number of requests for each HTTP result.

This report doesn't have any parameters.

### Requests By Gzip Result WWW Report

ID: `requests-by-gzip_result`

Chart: pie

This report shows the number of requests for each Gzip result.

This report doesn't have any parameters.

### Requests By Robot Report

ID: `requests-by-robot`

Chart: bars

This report shows the number of requests for each robot.

Parameters

`robots_to_show`

  This parameter controls the number of Browsers to display in the report.

  Defaults to `10`.

### Requests By Top Level Domain Report

ID: `requests-by-country`

Chart: pie

This report shows the number of requests for top level domain.

This report doesn't have any parameters.

### Requests By Attack Report

ID: `requests-by-attack`

Chart: bars

This report shows the number of requests for each attack.

This report doesn't have any parameters.

### Requests By Keywords Report

ID: `requests-by-keywords`

Chart: bars

This report shows the number of requests that resulted from keywords in search engine.

Parameters

`keyword_to_show`

  This parameter controls the number of keywords to display in the report.

  Defaults to `10`.

### Requests By User Agent WWW Report

ID: `requests-by-useragent`

Chart: bars

This report shows the number of requests for each user agent.

This report doesn't have any parameters.

### Requests By Search Engines Report

ID: `requests-by-search_engine`

Chart: bars

This report shows the number of requests that resulted from search engines.

This report doesn't have any parameters.

### Number of Requests By Size WWW Report

ID: `requests-by-size`

Chart: histogram

This report shows the number of requests by request's size.

Parameters

`range_size`

  This parameter controls the size of the first range class.

  Defaults to `1k`.

### Number of Requests By Timeslot WWW Report

ID: `requests-by-timeslot`

Chart: histogram

This report shows the number of requests by timeslot.

Parameters

`timeslot`

  This parameter controls the unit of time used to aggregate the records.

  Defaults to `1h`.

### Requests By HTTP Protocol Version WWW Report

ID: `requests-by-version`

Chart: pie

This report shows the number of requests for each HTTP Protocol Version.

This report doesn't have any parameters.

### Requests Summary WWW Report

ID: `requests-summary`

Chart: None

This report shows some global stats about requests.

This report doesn't have any parameters.

### Average Compression By File Type WWW Report

ID: `top-avg-compression-by-file-type`

Chart: bars

This report lists show the file extension which are on average most compressed.

Parameters

`file_type_to_show`

  This parameter controls the number of different extension to display in the report.

  Defaults to `10`.

### Most Averaged Compressed Requested File WWW Report

ID: `top-avg-compression-by-url`

Chart: bars

This report lists show the files with the most compression.

Parameters

`url_to_show`

  This parameter controls the number of URL to display in the report.

  Defaults to `10`.

### Top Client By HTTP Result WWW Report

ID: `top-client_host-by-result`

Chart: None

This report lists the client hosts with the most requests for each HTTP results.

Parameters

`client_to_show`

  This parameter controls the number of client hosts to display in the report.

  Defaults to `5`.

### Top Client WWW Report

ID: `top-client_host`

Chart: bars

This report lists the client hosts with the most requests.

Parameters

`client_to_show`

  This parameter controls the number of client hosts to display in the report.

  Defaults to `10`.

### Last Pages By Session WWW Report

ID: `top-last_page`

Chart: None

This report shows the requested pages (this excludes pictures) which were the last page to be visited in a user session.

Parameters

`page_to_show`

  This parameter controls the number of last pages to display.

  Defaults to `10`.

### First Pages By Session WWW Report

ID: `top-first_page`

Chart: None

This report shows the requested pages (this excludes pictures) which were the first page to be visited in a user session.

Parameters

`page_to_show`

  This parameter controls the number of last pages to display.

  Defaults to `10`.

### Most Requested Pages By Client Host WWW Report (Obsolete)

ID: `top-pages-by-client_host`

Chart: None

This report shows the most requested pages (this excludes pictures) by client host.

### Warning

With the implementation of global filter, that report specification is now obsolete. You should rather use `top-urls-by-client_host`.

Parameters

`page_to_show`

  This parameter controls the number of pages to display for each client host.

  Defaults to `5`.

`client_to_show`

  This parameter controls the number of client hosts to display.

  Defaults to `10`.

`not_page_re`

  This parameter contains a regular expression which is used to filter out images.

  Defaults to `^(png|gif|jpg)$`.

### Most Travelled Referer -> Page Connections WWW Report

ID: `top-referer-page-connections`

Chart: bars

This report lists the connections between a referers and a pages with the most requests.

Parameters

`connection_to_show`

  This parameter controls the number of connections to display in the report.

  Defaults to `10`.

`referer_exclusion`

  This parameter can be used to exclude referers from the report. For example, it can be used to exclude internal links by setting it to "^http://www.yourdomain.com/$". It defaults to "^-$" which excludes all records for which the referer wasn't specified.

  Defaults to `^-$`.

`target_exclusion`

  This parameter contains a regular expression which is used to filter out images as targets.

  Defaults to `\.(png|gif|jpg)$`.

### Top Referring Pages WWW Report

ID: `top-referers`

Chart: None

This report shows the top referring pages to your site.

Parameters

`referer_to_show`

  This parameter controls the number of referring pages to show.

  Defaults to `10`.

`referer_exclusion`

  This parameter can be used to exclude referers from the report. For example, it can be used to exclude internal links by setting it to "^http://www.yourdomain.com/$". It defaults to "^-$" which excludes all records for which the referer wasn't specified.

  Defaults to `^-$`.

### Top Referring Pages By Requested Page WWW Report

ID: `top-referers-by-page`

Chart: None

This report shows the top referring pages for the top requested page.

Parameters

`page_to_show`

  This parameter controls the number of requested pages to display.

  Defaults to `10`.

`referer_to_show`

  This parameter controls the number of referring pages to show for each requested page.

  Defaults to `5`.

`not_page_re`

  This parameter contains a regular expression which is used to filter out images.

  Defaults to `(png|gif|jpg|css|jpeg)$`.

`referer_exclusion`

  This parameter can be used to exclude referers from the report. For example, it can be used to exclude internal links by setting it to "^http://www.yourdomain.com/$". It defaults to "^-$" which excludes all records for which the referer wasn't specified.

  Defaults to `^-$`.

### Top Referring Sites WWW Report

ID: `top-referring_sites`

Chart: None

This report shows the top referring sites to your site.

Parameters

`site_to_show`

  This parameter controls the number of referring sites to show.

  Defaults to `10`.

### Most Requested Pages WWW Report

ID: `top-requests`

Chart: bars

This report lists the most requested pages.

Parameters

`page_to_show`

  This parameter controls the number of pages to display in the report.

  Defaults to `10`.

### Top Traversals WWW Report

ID: `top-traversals`

Chart: None

This report shows the most visited paths used by your users when they visit your website.

Parameters

`level1_to_show`

  This parameter controls the number entry points to display.

  Defaults to `10`.

`level2_to_show`

  This parameter controls the number of second page to show.

  Defaults to `5`.

`level3_to_show`

  This parameter controls the number of third page to show.

  Defaults to `5`.

### Most Requested Tracked Pages By Client Host WWW Report (Obsolete)

ID: `top-tracked_pages-by-client_host`

Chart: None

This report shows the client hosts that have the most requests for "tracked" pages.

### Warning

With the implementation of global filter, that report specification is now obsolete. You should rather use `top-urls-by-client_host`.

Parameters

`page_to_show`

  This parameter controls the maximum number of tracked pages to display for each client host.

  Defaults to `5`.

`client_to_show`

  This parameter controls the number of client hosts to display.

  Defaults to `10`.

`tracked_page_re`

  This parameter contains a regular expression which is used to determine which pages are tracked..

### Top URLs By HTTP Result WWW Report

ID: `top-urls-by-result`

Chart: None

This report shows for each HTTP result the URLs with the most requests that ended in that result. This report is useful to find broken links and pages with access problem.

Parameters

`url_to_show`

  This parameter controls the number of URLs to display in the report for each HTTP result.

  Defaults to `10`.

### Requested Tracked Pages By Period WWW Report (Obsolete)

ID: `tracked_pages-by-period`

Chart: histogram

This report shows highest tracked page by time period.

### Warning

With the implementation of global filter, that report specification is now obsolete. You should rather use `top-urls-by-client_host`.

Parameters

`period`

  This parameter controls the time period over which the requests are aggregated.

  Defaults to `1d`.

`tracked_page_re`

  This parameter contains a regular expression which is used to determine which pages are tracked.

### Most Requested URLs By Client Host WWW Report

ID: `top-urls-by-client_host`

Chart: None

This report shows the most requested URLs by client host.

Parameters

`url_to_show`

  This parameter controls the number of URLs to display for each client host.

  Defaults to `5`.

`client_to_show`

  This parameter controls the number of client host to display.

  Defaults to `10`.

### User Sessions By Period WWW Report

ID: `user_sessions-by-period`

Chart: histogram

This report shows the number of user sessions by time period.

Parameters

`period`

  This parameter controls the time period over which the user sessions are aggregated.

  Defaults to `1d`.

### Finished and Unfinished Session WWW Report (Obsolete)

ID: `user_session-finished`

Chart: None

This report gives the numbers of finished and unfinished user sessions.

### Warning

This report is now obsolete. This information is included in the `user_session-summary` report.

This report doesn't have any parameters.

### Users' Sessions Summary WWW Report

ID: `user_session-summary`

Chart: None

This report shows some global statistics about users' session.

This report doesn't have any parameters.

### Recurring Visitors WWW Report

ID: `user_session-visit_number`

Chart: histogram

This report shows the number of sessions for recurring users.

This report doesn't have any parameters.

### Visit times User Session WWW Report

ID: `user_session-visit-times`

Chart: histogram

This report shows the time a user took to visit the website.

Parameters

`range_size`

  This parameter controls the time period over which the visit times are aggregated.

  Defaults to `1m`.

### Page Counts User Session WWW Report

ID: `user_session-page_counts`

Chart: histogram

This report shows the number of pages for the visits.

Parameters

`range_size`

  This parameter controls the ranges over which the number of pages per visit are aggregated.

  Defaults to `1`.

Prev | Up | Next
W3C Extended Log Format | Home | Filter Descriptions and Configuration